import 'package:angular/angular.dart';
import 'package:angular_components/angular_components.dart';

@Component(
    selector: 'header-part',
    styleUrls: const [
      'header_component.css',
      'package:angular_components/app_layout/layout.scss.css'],
    templateUrl: 'header_component.html',
    directives: const [CORE_DIRECTIVES, materialDirectives],
    providers: const [materialProviders]
)
class HeaderComponent {

  @Input()
  String headerTitle = "";
  @Input()
  bool showSearch = false;

  String leadingGlyph = 'search';
  String inputText = '';
  bool popupMatchInputWidth = true;
  SelectionOptions selectOptions = new SelectionOptions([]);
  SelectionOptions get options => selectOptions;

}
